2018-04-19 22:29:00 2019-10-10 01:31:33

A vulnerability in the detection engine of Cisco Firepower System Software could allow an unauthenticated, remote attacker to bypass a configured file action policy that is intended to drop the Server Message Block Version 2 (SMB2) and SMB Version 3 (SMB3) protocols if malware is detected. The vulnerability is due to incorrect detection of an SMB2 or SMB3 file based on the total file length. An attacker could exploit this vulnerability by sending a crafted SMB2 or SMB3 transfer request through the targeted device. An exploit could allow the attacker to pass SMB2 or SMB3 files that could be malware even though the device is configured to block them. This vulnerability does not exist for SMB Version 1 (SMB1) files. This vulnerability affects Cisco Firepower System Software when one or more file action policies are configured, on software releases prior to 6.2.3. Cisco Bug IDs: CSCvg68807.

Vector

NETWORK

Complexity

LOW

Authentication

NONE

Confidentiality

NONE

Integrity

PARTIAL

Availability

NONE
Cisco Firepower threat defense 6.0.0.1 (not an official CPE) Cisco Firepower threat defense 6.0.0 (not an official CPE) Cisco Firepower threat defense 6.0 (not an official CPE) Cisco Firepower threat defense 5.4.0 (not an official CPE) Cisco Firepower threat defense 5.3.0 (not an official CPE) Cisco Firepower threat defense 6.0.1 (not an official CPE) Cisco Firepower threat defense 6.0.1.1 (not an official CPE) Cisco Firepower threat defense 6.0.1.2 (not an official CPE) Cisco Firepower threat defense 6.0.1.3 (not an official CPE) Cisco Firepower threat defense 6.0.1.4 (not an official CPE) Cisco Firepower threat defense 6.1.0 (not an official CPE) Cisco Firepower threat defense 6.1.0.1 (not an official CPE) Cisco Firepower threat defense 6.1.0.2 (not an official CPE) Cisco Firepower threat defense 6.1.0.3 (not an official CPE) Cisco Firepower threat defense 6.1.0.4 (not an official CPE) Cisco Firepower threat defense 6.1.0.5 (not an official CPE) Cisco Firepower threat defense 6.1.0.6 (not an official CPE) Cisco Firepower threat defense 6.1.0.7 (not an official CPE) Cisco Firepower threat defense 6.2.0 (not an official CPE) Cisco Firepower threat defense 6.2.0.1 (not an official CPE) Cisco Firepower threat defense 6.2.0.2 (not an official CPE) Cisco Firepower threat defense 6.2.0.3 (not an official CPE) Cisco Firepower threat defense 6.2.0.4 (not an official CPE) Cisco Firepower threat defense 6.2.0.5 (not an official CPE) Cisco Firepower threat defense 6.2.1 (not an official CPE) Cisco Firepower threat defense 6.2.2 (not an official CPE) Cisco Firepower threat defense 6.2.2.1 (not an official CPE) Cisco Firepower threat defense 6.2.2.2 (not an official CPE) Cisco Firepower threat defense 6.2.2.3 (not an official CPE) Cisco Firepower threat defense 6.2.2.4 (not an official CPE) Cisco Firepower threat defense 6.2.2.5 (not an official CPE)